%=============================================
%===========Energie Laplaceova operatoru 3x3======
%=============================================
%             [k_eol_matrix]=eol3x3(image)


function [k_eol_matrix]=eol3x3(image)
[m,n]= size (image); % nacteni velikosti obrazku
k_eol_matrix = zeros(m-2,n-2); % inicializace matice pro koeficienty
%=========================================================================
for y=2:(n-1)
   for x=2:(m-1)
       f_eol =- image(x,y-1)*4 - image(x-1,y-1) ...
              - image(x-1,y)*4 - image(x-1,y+1) ...
              - image(x,y+1)*4 - image(x+1,y-1) ...
              - image(x+1,y)*4 - image(x+1,y+1) ...             % viz bak. prace
              + image(x,y)*20;
       f_eol_kvadr = f_eol^2;   
       
       
       %if (f_eol_kvadr > 30)    % pouze pro testovani, filtrace prilis nizkych hodnot pro lepsi vizualni idetifikaci hran
       k_eol_matrix (x-1,y-1) = f_eol_kvadr;
       %else
       %k_eol_matrix (x,y) = 0;
       %end
   end
end
%=========================================================================