%===========================================
%---------------Rozptyl 3x3-----------------
%===========================================
%    [k_var_matrix] = rozptyl3x3(image)


function [k_var_matrix] = rozptyl3x3(image)

[m,n] = size (image);    % extrakce rozmeru obrazu
k_var_matrix = zeros(m-2,n-2);  % inicializace matice pro koeficienty
%========vypocet prumerne hodnoty pixelu v masce 3x3========
    for y = 2:(n-1)
        for x = 2:(m-1)
            
            soucet = 0; %inicializace promenne
            
            for z=0:2
                for w=0:2
                    soucet = soucet + image(x-1+w,y-1+z);                 %---upraveny Rozptyl pro obrazovou masku 3x3 pixely
                end
            end
            
            avg = soucet / (9);
%========vypocet koeficientu rozptylu obrazove masky 3x3=======
            kvadr_soucet = 0;   %inicializace promenne
            
            for z=0:2
                for w=0:2
                   kvadr = (image(x-1+w,y-1+z)-avg)^2;
                   kvadr_soucet = kvadr_soucet + kvadr;                   %---upraveny Rozptyl pro obrazovou masku 3x3 pixely
                end
            end
 
                k_var3x3 = kvadr_soucet / 9;
            
            
            %if (k_var3x3 > 0.01)    % pouze pro testovani, filtrace prilis nizkych hodnot pro lepsi vizualni idetifikaci hran
            k_var_matrix (x-1,y-1) = k_var3x3;
            %else
            %k_var_matrix (x-1,y-1) = 0;
            %end
%==============================================================
        end
    end
    k_var_matrix = k_var_matrix *100;
%==============================================================
   
