%=============================================
%============Funkce Tenegrad 3x3==============
%=============================================
%     [k_ten_matrix]=tenengrad3x3(image)

function [k_ten_matrix]=tenengrad3x3(image)
[m,n]=size (image);
k_ten_matrix = zeros (m-2,n-2);
%image_mod = zeros (m+2,n+2);

%for a = 1:n
%    for b = 1:m
%        image_mod (b+1,a+1) = image (b,a);          %vytvoreni noveho obrazu s nulovym ohranicenim o sirce 1 pixelu
%    end
%end

for y=2:n-2
    for x=2:m-2
        k_ten = 0;
           for z = 0:1
               for w = 0:1
                    S_x = -1*(image(x-1+w,y-1+z) + image(x-1+w,y+z)*2 + image(x-1+w,y+1+z))...
                         + (image(x+1+w,y-1+z) + image(x+1+w,y+z)*2) + image(x+1+w,y+1+z);
              
                    S_y = (image(x-1+w,y-1+z) + image(x+w,y-1+z)*2 + image(x+1+w,y-1+z))...     % viz Bak. prace
                        - (image(x-1+w,y+1+z) + image(x+w,y+1+z)*2) + image(x+1+w,y+1+z);
              
                    S_xy = sqrt(S_x^2 + S_y^2);
                
                    k_ten = k_ten + S_xy^2;
               end
           end
           k_ten_matrix (x-1,y-1) = k_ten;
    end
end