%====================================================
%
%                   Wavelet filtr
%       [sml_wavelet_image] = wavelet_filter_soft_thr(image)
%====================================================

function [wavelet_image,area,final] = wavelet_filter_soft_thr(image, decomp, wavelet, thr)

thr_type = thr;
s = 1;


[C,S] = wavedec2(image,decomp,wavelet);
Area = S(s,1)*S(s,2);
for z = 1: decomp
s = z + 1;
for i = 0:2
Area2 = Area + S(s,1)*S(s,2);

coefs_Area1 = C(Area + 1 : Area2);
threshold = thselect(coefs_Area1,thr_type);
coefs_Area1 (abs(coefs_Area1) < threshold) = 0;
coefs_Area1 (coefs_Area1 >= threshold) = coefs_Area1 (coefs_Area1 >= threshold) - threshold;
coefs_Area1 (coefs_Area1 <= (-1*threshold)) = coefs_Area1 (coefs_Area1 <= (-1*threshold)) + threshold;
C(Area + 1 : Area2) = coefs_Area1;

Area = Area2;
end
end
area = Area;
final = length (C);
wavelet_image = waverec2 (C,S,wavelet);
